MySQL Forums
Forum List  »  Install & Repo

YUM repo broken: mysql-connector-odbc 8.0.22
Posted by: Martin Vogt
Date: November 13, 2020 03:43AM

Hello,

I tried to post this a few days ago, but it never made it to the forum.
Here is may update error again:



Hello,

I'm using the community repo under:

[1] http://repo.mysql.com/yum/mysql-connectors-community/el/7/x86_64/

When I install mysql-connector-odbc I get the following error:

[root@m yum]# yum install mysql-connector-odbc
Loaded plugins: langpacks, protectbase, versionlock
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package mysql-connector-odbc.x86_64 0:8.0.22-1.el7 will be installed
--> Processing Dependency: mysql-community-client-plugins = 8.0.22 for package: mysql-connector-odbc-8.0.22-1.el7.x86_64
--> Finished Dependency Resolution
Error: Package: mysql-connector-odbc-8.0.22-1.el7.x86_64 (mysql-connectors-community)
Requires: mysql-community-client-plugins = 8.0.22
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@m yum]#

Where are the two files?:

- mysql-connector-odbc-8.0.22-1.el7.x86_64
- mysql-community-client-plugins-8.0.22

they aren't listed in the repo[1].

The SRPM is available here:

http://repo.mysql.com/yum/mysql-connectors-community/el/7/SRPMS/

but no pre-build 8.0.22 is in the repo[1]

If I sync the *Server* repo with reposync:

reposync --repoid=mysql80-community

(26/211): mysql-community-client-plugins-8.0.22-1.el7.i686.rpm
(27/211): mysql-community-client-plugins-8.0.22-1.el7.x86_64.rpm


there is is!

And if I sync the mysql-connectors-community repo:

reposync --repoid=mysql-connectors-community

(77/175): mysql-connector-odbc-8.0.22-1.el7.x86_64.rpm
(78/175): mysql-connector-odbc-8.0.21-1.el7.x86_64.rpm

found it, by syncing!

I see two problems here:

One is:

"mysql-community-client-plugins" can only be "seen" if I mirror
the repos with reposync, the same for "mysql-connector-odbc"

The other is:

mysql-connector-odbc depends on a server repo, which I haven't installed.


I'm more interested in the new server dependency:
Is it really necessary to depend the odbc rpm onto a package in the server part?

regards,

Martin

Options: ReplyQuote


Subject
Written By
Posted
YUM repo broken: mysql-connector-odbc 8.0.22
November 13, 2020 03:43AM


Sorry, only registered users may post in this forum.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.